Set the cpu affinity of a process

- « pcntl_rfork

- pcntl_setpriority »

- PHP Manual
- PCNTL Functions
- Set the cpu affinity of a process

# pcntl_setcpuaffinity

(PHP 8 >= 8.4.0)

pcntl_setcpuaffinity — Set the cpu affinity of a process

### Description

pcntl_setcpuaffinity(?int `$pid` = `null`, array `$hmask` = ?): bool

Sets the cpu affinity for the `pid` with the cpu affinity mask given by `hmask`.

### Parameters

`pid`
  If `null`, the current process ID is used.
`hmask`
  The cpu affinity mask comprised of one or more cpu id for binding the process to.

### Return Values

Returns `true` on success or `false` on failure.

Warning

This function may return Boolean `false`, but may also return a non-Boolean value which evaluates to `false`. Please read the section on Booleans for more information. Use the === operator for testing the return value of this function.

### Errors/Exceptions

A TypeError is thrown if one of the cpu id from the `hmask` is invalid. A ValueError is thrown if `pid` is an invalid process id or the cpu mask had failed to be created.

### See Also

- pcntl_getcpuaffinity() - Get the cpu affinity of a process